indexes:

# used to list proposal in descending order of their score
- kind: StudentProposal
  properties:
  - name: org
  - name: status
  - name: score
    direction: desc

# used to list reviews in ascending order of date
- kind: Review
  properties:
  - name: is_public
  - name: scope
  - name: created

# used to determine which orgs have more then 0 slots assigned.
- kind: Organization
  properties:
  - name: scope
  - name: status
  - name: slots

# used to order accepted orgs
- kind: Organization
  properties:
  - name: scope
  - name: status
  - name: name

# used to determine which proposals have a mentor assigned
- kind: StudentProposal
  properties:
  - name: org
  - name: status
  - name: mentor

# used to determine which proposals will be accepted
- kind: StudentProposal
  properties:
  - name: org
  - name: status
  - name: __key__

# used for the bulk mailing of students
- kind: Student
  properties:
  - name: scope
  - name: __key__

# used for the cron system
- kind: Job
  properties:
  - name: priority_group
  - name: status
  - name: __key__

# Used for bulk mailing student and mentors with survey reminders. Also used
# for gathering GradingRecords for evaluation purposes.
- kind: StudentProject
  properties:
  - name: program
  - name: status
  - name: __key__

# Used to update StudentProjects with the grade_decsion contained in a
# GradingRecord.
- kind: GradingRecord
  properties:
  - name: grading_survey_group
  - name: __key__

# AUTOGENERATED

# This index.yaml is automatically updated whenever the dev_appserver
# detects that a new type of query is run.  If you want to manage the
# index.yaml file manually, remove the above marker line (the line
# saying "# AUTOGENERATED").  If you want to manage some indexes
# manually, move them above the marker line.  The index.yaml file is
# automatically uploaded to the admin console when you next deploy
# your application using appcfg.py.

# Used 265 times in query history.
- kind: GHOPComment
  ancestor: yes
  properties:
  - name: created_on

# Used 248 times in query history.
- kind: GHOPWorkSubmission
  ancestor: yes
  properties:
  - name: submitted_on

# Used 3 times in query history.
- kind: TaskArbitraryTag
  properties:
  - name: scope
  - name: order
    direction: desc

# Used 168 times in query history.
- kind: TaskDifficultyTag
  properties:
  - name: scope
  - name: order

# Used 3 times in query history.
- kind: TaskDifficultyTag
  properties:
  - name: scope
  - name: order
    direction: desc

# Used 67 times in query history.
- kind: TaskTypeTag
  properties:
  - name: mandatory
  - name: scope
  - name: order

# Used 70 times in query history.
- kind: TaskTypeTag
  properties:
  - name: scope
  - name: order

# Used 14 times in query history.
- kind: TaskTypeTag
  properties:
  - name: scope
  - name: order
    direction: desc
